TypeScript SDK
import { WebApiSDK } from "@parable-platform/web-api-sdk";
const sdk = new WebApiSDK({
baseUrl: process.env.PARABLE_API_URL!,
auth: { token: process.env.PARABLE_API_TOKEN! },
requestInterceptor: (config) => ({
...config,
headers: { ...config.headers, "X-Tenant": process.env.PARABLE_WORKSPACE! },
}),
});
const query = {};
const result = await sdk.catalog.tableSpcResults(
query
);import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.catalog.table_spc_results(tenant_connector_tap_id=None, drifting_only=None, limit=None, offset=None)use parable_web_api_sdk::{namespaces, ClientConfig, RequestOptions, WebApiSdk};
let sdk = WebApiSdk::new(ClientConfig::with_base_url(
std::env::var("PARABLE_API_URL")?,
Some(std::env::var("PARABLE_API_TOKEN")?),
None,
))?;
let options = RequestOptions::with_header("X-Tenant", std::env::var("PARABLE_WORKSPACE")?, None, None);
let query = namespaces::catalog::TableSpcResultsQueryParams {
tenant_connector_tap_id: None,
drifting_only: None,
limit: None,
offset: None,
};
let result = sdk.catalog.table_spc_results(
Some(&query),
Some(&options)
).await?;sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.CatalogTableSpcResultsQueryParams{}
result, err := sdk.CatalogNamespace.TableSpcResults(ctx, query){
"data": {
"results": [
{
"capturedAt": "2023-11-07T05:31:56Z",
"overallStatus": "IN_BOUNDS",
"resultId": "<string>",
"runId": "<string>",
"series": [
{
"latestValue": 123,
"lowerControl3Sigma": 123,
"lowerWarning2Sigma": 123,
"mean": 123,
"seriesId": "<string>",
"seriesKind": "TABLE_ROW_COUNT",
"status": "IN_BOUNDS",
"stddev": 123,
"upperControl3Sigma": 123,
"upperWarning2Sigma": 123,
"violations": [
{
"description": "<string>",
"pointsInvolved": 0,
"ruleId": "<string>"
}
],
"trendSlope": 123
}
],
"windowSize": 0,
"tapContractId": "<string>"
}
],
"resultsVersion": "<string>",
"tenantId": "<string>",
"nextOffset": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}Catalog
Read the latest drift checks
Returns the most recent statistical process-control (SPC) result of each table in this Workspace’s catalog, a page at a time. An SPC result shows unexpected drift. tenantConnectorTapId keeps only the tables of that Tap. driftingOnly keeps only the series in WARNING or OUT_OF_BOUNDS, and only the tables that have one. A page holds at most limit results: 20 by default, 100 at most. It stops before 40,000 characters of results, but it always holds one. To read the next page, send nextOffset as offset. The last page has no nextOffset.
GET
/
api
/
catalog
/
table-spc-results
TypeScript SDK
import { WebApiSDK } from "@parable-platform/web-api-sdk";
const sdk = new WebApiSDK({
baseUrl: process.env.PARABLE_API_URL!,
auth: { token: process.env.PARABLE_API_TOKEN! },
requestInterceptor: (config) => ({
...config,
headers: { ...config.headers, "X-Tenant": process.env.PARABLE_WORKSPACE! },
}),
});
const query = {};
const result = await sdk.catalog.tableSpcResults(
query
);import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.catalog.table_spc_results(tenant_connector_tap_id=None, drifting_only=None, limit=None, offset=None)use parable_web_api_sdk::{namespaces, ClientConfig, RequestOptions, WebApiSdk};
let sdk = WebApiSdk::new(ClientConfig::with_base_url(
std::env::var("PARABLE_API_URL")?,
Some(std::env::var("PARABLE_API_TOKEN")?),
None,
))?;
let options = RequestOptions::with_header("X-Tenant", std::env::var("PARABLE_WORKSPACE")?, None, None);
let query = namespaces::catalog::TableSpcResultsQueryParams {
tenant_connector_tap_id: None,
drifting_only: None,
limit: None,
offset: None,
};
let result = sdk.catalog.table_spc_results(
Some(&query),
Some(&options)
).await?;sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.CatalogTableSpcResultsQueryParams{}
result, err := sdk.CatalogNamespace.TableSpcResults(ctx, query){
"data": {
"results": [
{
"capturedAt": "2023-11-07T05:31:56Z",
"overallStatus": "IN_BOUNDS",
"resultId": "<string>",
"runId": "<string>",
"series": [
{
"latestValue": 123,
"lowerControl3Sigma": 123,
"lowerWarning2Sigma": 123,
"mean": 123,
"seriesId": "<string>",
"seriesKind": "TABLE_ROW_COUNT",
"status": "IN_BOUNDS",
"stddev": 123,
"upperControl3Sigma": 123,
"upperWarning2Sigma": 123,
"violations": [
{
"description": "<string>",
"pointsInvolved": 0,
"ruleId": "<string>"
}
],
"trendSlope": 123
}
],
"windowSize": 0,
"tapContractId": "<string>"
}
],
"resultsVersion": "<string>",
"tenantId": "<string>",
"nextOffset": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}Read the latest drift checks
read_latest_drift_checksAuthorizations
Headers
Query Parameters
Was this page helpful?